web:
    image: 'gitlab/gitlab-ee:latest'
    container_name: GITLAB
    restart: always
    hostname: 'git.contoso.com'
    environment:
      GITLAB_OMNIBUS_CONFIG: |
        external_url 'http://git.contoso.com'
        # Add any other gitlab.rb configuration here, each on its own line
    ports:
      - '80:80'
      - '443:443'
      - '22:22'
    volumes:
      - '$GITLAB_HOME/config:/etc/gitlab'
      - '$GITLAB_HOME/logs:/var/log/gitlab'
      - '$GITLAB_HOME/data:/var/opt/gitlab'